=== debian/changelog ===
plasma-widget-yawp (0.3.2-3) unstable; urgency=low

  The „Shattering Pulse“ release.

  * debian/control:
    - Added „Enhances: plasma-widgets-addons“ to plasma-dataengines-yawp.
    - Bumped Standards-Version to 3.8.4, no further changes needed.
    - Improved the long description of plasma-widget-yawp (Closes: #568012).
  * debian/patches/fix_possible_memleak.patch: Added.

 -- Kai Wasserbäch <debian@carbon-project.org>  Wed, 17 Feb 2010 19:43:52 +0100

plasma-widget-yawp (0.3.2-2) unstable; urgency=low

  The „Smother“ release.

  * debian/patches:
    - Rename „top_CMakeLists.txt_remove-CPack.patch“ to
      „remove_CPack_invocations.patch“.
    - remove_CPack_invocations.patch:
      + Removed CPack invocation from „ions/CMakeLists.txt“.
  * debian/rules: Pass a set of useful configuration options to CMake (as we
    don't use the install.sh script, we'll pass them directly to CMake).
  * debian/patches:
    - fix_gcc45_ftbfs.patch:
      + Added.
      + Allow yaWP to be built with stricter gcc/g++ 4.5 (not released yet).
    - add_upstream_changelog.patch:
      + Added, as none is shipped with the tarball.
  * debian/control:
    - Improved long description of plasma-widget-yawp.
    - Added „Suggests: plasma-dataengines-workspace“, because that package
      ships three more weather Ions (BBC/UK-MET, NOAA and the Canadian weather
      office).
    - Added new binary package „plasma-dataengines-yawp“ for the Ions shipped
      with yaWP. The split was done to allow other weather applets in Debian
      to use yaWP's data engines without the need to pull in the entirety of
      yaWP.
    - Added an „Replaces“ to plasma-dataengines-yawp for the previous version
      of plasma-widget-yawp to allow the overwriting of the moved files.
  * debian/plasma-{widget,dataengines}-yawp.install:
    - Added.
    - Split up the files between the two binary packages.

 -- Kai Wasserbäch <debian@carbon-project.org>  Tue, 19 Jan 2010 16:31:20 +0100

plasma-widget-yawp (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #529815)
  * debian/control:
    - Added pkg-kde-tools to Build-Depends.
    - Declared explicit Build-Depends on gettext.
    - Tighten Build-Depends on kdelibs5-dev: enforce version >=4:4.2.0
    - Added Vcs-Svn field.
    - Changed priority to »optional« (all other widgets are optional too).
    - Standards-Version is 3.8.3.
  * debian/patches:
    - top_CMakeLists.txt_remove-CPack.patch:
      + Added.
      + Remove CPack invocation, we use Debian's tools for building the
        package.
    - rename_to_debian_naming_scheme.patch:
      + Added.
      + In Debian Plasmoids are named „plasma_applet_<name of Plasmoid>“.
    - fix_desktop_file.patch:
      + Added.
      + Corrected the given version (0.3.2 instead of 0.3.0).
  * debian/source/format: Added with „3.0 (quilt)“ as its content.

 -- Kai Wasserbäch <debian@carbon-project.org>  Tue, 12 Jan 2010 17:51:54 +0100
