=== debian/control ===
Source: plasma-widget-yawp
Section: kde
Priority: optional
Maintainer: Kai Wasserbäch <debian@carbon-project.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
 pkg-kde-tools, kdebase-workspace-dev
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/yawp
Vcs-Svn: svn://svn.carbon-project.org/deb-pkg/plasma-widget-yawp/trunk

Package: plasma-widget-yawp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-yawp
Suggests: plasma-dataengines-workspace
Description: Yet Another Weather Plasmoid fetches weather forecasts for you
 yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
 works with different weather sources, you can configure it to show several
 days in advance, to display the current satellite image and it is also
 possible to keep track of multiple cities.
 .
 This package contains the Plasmoid itself and the basic theme for yaWP.
 .
 yaWP can be considered to be the native KDE 4.x replacement for the
 SuperKaramba script "LiquidWeather++".

Package: plasma-dataengines-yawp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-widget-yawp (<= 0.3.2-1)
Enhances: plasma-widgets-addons
Description: yaWP's data engines (Ions) for using different weather services
 yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
 works with different weather sources, you can configure it to show several
 days in advance, to display the current satellite image and it is also
 possible to keep track of multiple cities.
 .
 This package contains the data engines, which are part of yaWP. At the moment
 these are Ions for the following services:
    * AccuWeather
    * Google Weather Service
