=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore

override_dh_auto_configure:
	        dh_auto_configure -Skde -- -DBUILD_UNITTESTS=NO \
					-DDEBUG_LOGFILE=/tmp/plasma-widget-yawp.log \
					-DDEBUG_LOGLEVEL=Warning -DCMAKE_BUILD_TYPE=Release \
					-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

%:
	dh --with kde $@
