=== debian/changelog ===
plasma-widget-yawp (0.3.4-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_4.5_compile.diff to fix preprocessor directives so that
    yawp will compile with KDE 4.5

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Sep 2010 09:41:45 -0400

plasma-widget-yawp (0.3.4-1) unstable; urgency=low

  The "Mana Leak" release.

  * New upstream release, including:
    - Translation updates for several languages.
    - Fixes problems with some Ions when using the Russian locale.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 10 Jul 2010 22:57:02 +0200

plasma-widget-yawp (0.3.3-2) unstable; urgency=low

  The "Azure Drake" release.

  * debian/control:
    - Added Suggests on plasma-widget-yawp in the plasma-dataengines-yawp
      entry.
    - Bumped Build-Depends on:
      + debhelper to >= 7.3.16~ to ensure we've got sequence support.
      + pkg-kde-tools to >= 0.9 to ensure "3.0 (quilt)" support.
    - Bumped Standards-Version to 3.9.0.
      + debian/copyright: Updated to correspond to section 12.5.
      + debian/control: Added Breaks to plasma-dataengines-yawp entry to
        correspond with sections 7.3, 7.6.1.
  * debian/*.install: Remove the "debian/tmp/" prefix, not needed, since dh
    defaults to look into debian/tmp with compat level seven or higher.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 28 Jun 2010 21:41:37 +0200

plasma-widget-yawp (0.3.3-1) unstable; urgency=low

  The "Traumatic Visions" release.

  * New upstream release.
  * debian/rules: Added override for dh_strip to "install" the debugging
    symbols into the new plasma-widgets-yawp-dbg package.
  * debian/control: Added new debugging symbols package.
  * debian/patches/remove_CPack_invocations.patch: Refreshed.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sun, 13 Jun 2010 19:33:19 +0200

plasma-widget-yawp (0.3.3~svn376-1) unstable; urgency=low

  The "Royal Decree" release.

  * Synced to upstream SVN revision 376:
    - This should fix a crash which could occur while adding a new city.
    - Updates all l10n strings and adds a new translation.
  * debian/patches:
    - Removed patches, which were merged upstream:
      + add_upstream_changelog.patch
      + cherry_pick_wunderground_ion.patch
      + correct_spelling.patch
      + fix_desktop_file.patch
      + fix_gcc45_FTBFS_countrymap.patch
      + fix_gcc45_FTBFS_streamlogger.patch
      + fix_gcc45_ftbfs.patch
      + remove_unneeded_includes.patch
      + rename_to_debian_naming_scheme.patch
    - remove_CPack_invocations.patch: Updated.
  * debian/plasma-widget-yawp.install: Updated.
  * debian/rules: Added override for dh_installchangelogs, so it installs the
    new upstream changelog file.

 -- Kai Wasserbäch <debian@carbon-project.org>  Wed, 19 May 2010 11:46:48 +0000

plasma-widget-yawp (0.3.2-4) unstable; urgency=low

  The „Kalastria Highborn“ release.

  * debian/patches:
    - fix_possible_memleak.patch: Dropped again, should be cleaned out by Qt's
      garbage collector. Thanks to Ulf for reminding me of that.
    - fix_gcc45_ftbfs.patch, add_upstream_changelog.patch: Updated header.
    - cherry_pick_wunderground_ion.patch: Added, until 0.3.3 gets released.
    - fix_gcc45_FTBFS_{streamlogger,countrymap}.patch: Added (allows building
      with stricter gcc/g++ 4.5).
    - correct_spelling.patch: Added (minor spelling fix).
    - remove_unneeded_includes.patch: Added ((incomplete) code clean-ups).
  * debian/control:
    - DM-Upload-Allowed set to yes.
    - Add ${binary:Version} to dependency on plasma-dataengines-yawp.
    - Improve short description of plasma-dataengines-yawp.
    - Change Vcs-* information (now maintained with Git).
  * debian/rules: Enable parallel building.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 17 May 2010 12:01:02 +0200
