=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: kde
 Priority: optional
 Maintainer: Kai Wasserbäch <debian@carbon-project.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
- pkg-kde-tools, kdebase-workspace-dev
-Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.3.16~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
+ pkg-kde-tools (>= 0.9), kdebase-workspace-dev
+Standards-Version: 3.9.0
 Homepage: http://sourceforge.net/projects/yawp
-Vcs-Svn: svn://svn.carbon-project.org/deb-pkg/plasma-widget-yawp/trunk
+Vcs-Git: git://git.carbon-project.org/plasma-widget-yawp.git
+Vcs-Browser: http://gitweb.carbon-project.org/?p=plasma-widget-yawp.git;a=summary
 
 Package: plasma-widget-yawp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-yawp
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+ plasma-dataengines-yawp (= ${binary:Version})
 Suggests: plasma-dataengines-workspace
 Description: Yet Another Weather Plasmoid fetches weather forecasts for you
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
@@ -27,8 +30,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: plasma-widget-yawp (<= 0.3.2-1)
+Breaks: plasma-widget-yawp (<= 0.3.2-1)
 Enhances: plasma-widgets-addons
-Description: yaWP's data engines (Ions) for using different weather services
+Suggests: plasma-widget-yawp
+Description: yaWP's data engines (Ions) for different weather services
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
  works with different weather sources, you can configure it to show several
  days in advance, to display the current satellite image and it is also
@@ -38,3 +43,18 @@
  these are Ions for the following services:
     * AccuWeather
     * Google Weather Service
+    * Weather Underground (Wunderground)
+
+Package: plasma-widget-yawp-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: plasma-widget-yawp (= ${binary:Version}), 
+ plasma-dataengines-yawp (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for yaWP and its Ions
+ yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
+ works with different weather sources, you can configure it to show several
+ days in advance, to display the current satellite image and it is also
+ possible to keep track of multiple cities.
+ .
+ This package contains the debugging symbols for yaWP and its Ions.
