=== debian/changelog ===
plasma-widget-yawp (0.3.5-1) unstable; urgency=low

  The "Elite Vanguard" release.

  * New upstream release, including:
    - Fix of a potential legal issue, and
    - several data-handling issues (e.g. pressure and sunset/-rise).
  * debian/rules:
    - Removed override_dh_strip and added --dbg-package to general dh
      invocation.
    - Made (almost all) overrides --parallel aware.
  * debian/source/options: Ensure BZip2 compression.
  * debian/control: Bumped Standards-Version to 3.9.1, no further changes
    needed.
  * debian/copyright: Added Shawn Starr as another upstream author (for Ions).

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 12 Nov 2010 23:16:50 +0100
