=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.3.16~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
  pkg-kde-tools (>= 0.9), kdebase-workspace-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://sourceforge.net/projects/yawp
 Vcs-Git: git://git.carbon-project.org/plasma-widget-yawp.git
 Vcs-Browser: http://gitweb.carbon-project.org/?p=plasma-widget-yawp.git;a=summary
