=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,11 @@
 					-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
 					-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"
 
+override_dh_installchangelogs:
+	dh_installchangelogs --parallel CHANGELOG
+
+override_dh_install:
+	dh_install --parallel --list-missing
+
 %:
-	dh --with kde $@
+	dh --parallel --dbg-package=plasma-widget-yawp-dbg --with kde $@
