## plasma-widget-yawp 0.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 ##	DEFINE THE PACKAGE VERSION AND NAME
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 3)
-SET(PATCH_VERSION 5)
+SET(PATCH_VERSION 6)
 SET(YAWP_NAME     "yaWP")
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
