=== ions/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	${KDE4_KUNITCONVERSION_LIBS}
 	)
 
+#message(STATUS "WeatherIonLibrary: " ${KDE4WORKSPACE_WEATHERION_LIBRARY})
 
 set(ion_accuweather_SRCS
 	ion_accuweather.cpp
