=== logger/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	)

set(streamlogger_libs
	${QT_QTCORE_LIBRARY}
	)

configure_file(streamlogger_definitions.h.in ${CMAKE_CURRENT_BINARY_DIR}/streamlogger_definitions.h)
add_library(streamlogger STATIC streamlogger.cpp)
target_link_libraries(streamlogger ${streamlogger_libs})
