=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 include_directories(
-	${CMAKE_CURRENT_SOURCE_DIR}/..
+#	${CMAKE_CURRENT_SOURCE_DIR}/..
 	${CMAKE_CURRENT_SOURCE_DIR}/../applet/
 	${CMAKE_CURRENT_SOURCE_DIR}/../ions/
+	${CMAKE_CURRENT_BINARY_DIR}/../
 	)
 
 set(unittests_include_libs
@@ -11,6 +12,8 @@
 	${KDE4_SOLID_LIBS}
 	${PLASMA_LIBS}
 	${KDE4WORKSPACE_WEATHERION_LIBRARY}
+	${KDE4_KUNITCONVERSION_LIBS}
+	streamlogger
 	)
 
 ## Add Qt4 resource to binary
@@ -21,7 +24,6 @@
 #### Streamlogger Test ####
 set(streamloggertest_SRCS
 	streamloggertest.cpp
-	../logger/streamlogger.cpp
 	)
 
 kde4_add_executable(streamloggertest		${streamloggertest_SRCS})
@@ -31,12 +33,19 @@
 #### WeatherService Test ####
 set(weatherservicetest_SRCS
 	weatherservicetest.cpp
+	../applet/configdialog/dlgtimezone.cpp
 	../applet/countrymap.cpp
+	../applet/ionlistmodel.cpp
 	../applet/weatherdataprocessor.cpp
 	../applet/weatherservice.cpp
 	../applet/yawpday.cpp
+	../applet/yawpdefines.cpp
 	../applet/utils.cpp
-	../logger/streamlogger.cpp
+	)
+
+kde4_add_ui_files( weatherservicetest_SRCS
+	../applet/ui/dlgaddcity.ui
+	../applet/ui/dlgtimezone.ui
 	)
 
 kde4_add_executable(weatherservicetest		${weatherservicetest_SRCS} ${YAWP_RCCS_SRCS})
@@ -50,12 +59,13 @@
 	../applet/ionlistmodel.cpp
 	../applet/utils.cpp
 	../applet/yawpday.cpp
-	../logger/streamlogger.cpp
-	../applet/weatherdataprocessor.cpp
+	../applet/yawpdefines.cpp
+#	../applet/weatherdataprocessor.cpp
 #	../applet/weatherservice.cpp
 #	../applet/configdialog/dlgaddcity.cpp
 #	../applet/configdialog/yawpconfig.cpp
 	../applet/configdialog/dlgaddcity.cpp
+	../applet/configdialog/dlgtimezone.cpp
 	)
 
 kde4_add_ui_files( configtest_SRCS
@@ -65,6 +75,7 @@
 #	../applet/ui/yawpthemepage.ui
 
 	../applet/ui/dlgaddcity.ui
+	../applet/ui/dlgtimezone.ui
 	)
 
 kde4_add_executable(configtest			${configtest_SRCS} ${YAWP_RCCS_SRCS})
@@ -75,34 +86,39 @@
 set( weatherenginetest_SRCS
 	weatherenginetest.cpp
 	../applet/countrymap.cpp
+	../applet/ionlistmodel.cpp
 	../applet/utils.cpp
 	../applet/yawpday.cpp
-	../logger/streamlogger.cpp
+	../applet/yawpdefines.cpp
 	)
 
-kde4_add_executable(weatherenginetest		${weatherenginetest_SRCS})
+kde4_add_executable(weatherenginetest		${weatherenginetest_SRCS} ${YAWP_RCCS_SRCS})
 target_link_libraries(weatherenginetest		${unittests_include_libs})
 
 
 #### ION Test ####
 set( iontest_SRCS
 	iontest.cpp
+	../applet/countrymap.cpp
+	../applet/ionlistmodel.cpp
+	../applet/utils.cpp
+	../applet/yawpday.cpp
+	../applet/yawpdefines.cpp
 	../ions/ion_accuweather.cpp
 #	../ions/ion_google.cpp
-	../logger/streamlogger.cpp
 	)
 
-kde4_add_executable(iontest		${iontest_SRCS})
-target_link_libraries(iontest		${unittests_include_libs})
+kde4_add_executable(iontest		${iontest_SRCS} ${YAWP_RCCS_SRCS})
+target_link_libraries(iontest	${unittests_include_libs})
 
 
 #### PLASMOID Test ####
 set( plasmoidtest_SRCS
 	plasmoidtest_main.cpp
 	plasmoidtest_fullview.cpp
-	../logger/streamlogger.cpp
 	../applet/configdialog/yawpconfig.cpp
 	../applet/configdialog/dlgaddcity.cpp
+	../applet/configdialog/dlgtimezone.cpp
 
 	../applet/countrymap.cpp
 	../applet/ionlistmodel.cpp
@@ -114,6 +130,7 @@
 	../applet/weatherservice.cpp
 	../applet/yawp.cpp
 	../applet/yawpday.cpp
+	../applet/yawpdefines.cpp
 	)
 
 kde4_add_ui_files(plasmoidtest_SRCS
@@ -122,6 +139,7 @@
 	../applet/ui/yawppanelpage.ui
 	../applet/ui/yawpthemepage.ui
 	../applet/ui/dlgaddcity.ui
+	../applet/ui/dlgtimezone.ui
 	)
 
 kde4_add_executable(plasmoidtest		${plasmoidtest_SRCS} ${YAWP_RCCS_SRCS})
