=== debian/changelog ===
plasma-widget-yawp (0.3.6-2) unstable; urgency=low

  The "Captured Sunlight" release.

  * Upload to unstable (basically to make ready for a KDE SC >= 4.5.2).

 -- Kai Wasserbäch <curan@debian.org>  Mon, 14 Feb 2011 09:56:30 +0100

plasma-widget-yawp (0.3.6-1) experimental; urgency=low

  The "Refreshing Rain" release.

  * New upstream release:
    - Fixes FTBFS with KDE SC 4.5.2/4.6 (due to unnecessary include of a now
      deprecated header). No issue for Squeeze.
  * debian/source/local-options: Added "unapply-patches".
  * debian/watch:
    - Added git-import-orig invocation.
    - Escaped the dot inside the regular expression (we want a literal dot).
  * debian/gbp.conf: Added, to ensure the git-import-orig invocation from
    debian/watch uses pristine-tar.
  * debian/control:
    - Added plasma-widget-yawp-dbg to Suggests of the two binary packages.
    - Removed DMUA in anticipation of me becoming a DD.
    - Changed my e-mail address.
  * debian/rules: Added .PHONY line.
  * debian/copyright:
    - Fixed typo in name.
    - Added more detailed information on logger/streamlogger.{h,cpp}.
  * debian/patches/remove_CPack_invocations.patch: Refreshed.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 25 Jan 2011 17:10:25 +0100
