=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-widget-yawp
 Section: kde
 Priority: optional
-Maintainer: Kai Wasserbäch <debian@carbon-project.org>
-DM-Upload-Allowed: yes
+Maintainer: Kai Wasserbäch <curan@debian.org>
 Build-Depends: debhelper (>= 7.3.16~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
  pkg-kde-tools (>= 0.9), kdebase-workspace-dev
 Standards-Version: 3.9.1
@@ -14,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  plasma-dataengines-yawp (= ${binary:Version})
-Suggests: plasma-dataengines-workspace
+Suggests: plasma-dataengines-workspace, plasma-widget-yawp-dbg
 Description: Yet Another Weather Plasmoid fetches weather forecasts for you
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
  works with different weather sources, you can configure it to show several
@@ -32,7 +31,7 @@
 Replaces: plasma-widget-yawp (<= 0.3.2-1)
 Breaks: plasma-widget-yawp (<= 0.3.2-1)
 Enhances: plasma-widgets-addons
-Suggests: plasma-widget-yawp
+Suggests: plasma-widget-yawp, plasma-widget-yawp-dbg
 Description: yaWP's data engines (Ions) for different weather services
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
  works with different weather sources, you can configure it to show several
