=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,5 @@
 
 %:
 	dh --parallel --dbg-package=plasma-widget-yawp-dbg --with kde $@
+
+.PHONY: override_dh_auto_configure override_dh_installchangelogs override_dh_install
